﻿package
{
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.geom.Point;
	import flash.filters.BlurFilter;
	import flash.filters.GlowFilter;

	import caurina.transitions.Tweener;
	
	public class Suiveur extends Sprite
	{
		private var mover:Sprite;
		private var blur:BlurFilter;
		private var glow:GlowFilter;

		private var i:Number = 0;
		public function Suiveur()
		{
			addEventListener(Event.ADDED_TO_STAGE, addedHandler);
		}
		private function addedHandler(e:Event):void
		{
			mover = new Sprite();
			addChild(mover);
			addEventListener(Event.ENTER_FRAME, enterHandler);
		}
		private function enterHandler(e:Event):void
		{
			mover.x+= -(mouseX-stage.stageWidth/2)/100;
			mover.y+= -(mouseY-stage.stageHeight/2)/100;
			drawElem(5);
		}
		private function drawElem(nbr:Number):void
		{
			var elem:Sprite = new Sprite();
			elem.name = "ch"+i;
			elem.graphics.beginFill(0x000000,1);
			elem.alpha=1;
			
			blur = new BlurFilter;
			glow = new GlowFilter;
			//blur.blurX=10;
			//blur.blurY=3;
			glow.blurX=10;
			glow.blurY=10;
			glow.alpha=.7;
			glow.color=0x000000;
			elem.filters =[glow];

			
			elem.graphics.drawRect(mouseX-mover.x,mouseY-mover.y,100*Math.random(),100*Math.random());
			elem.graphics.endFill();
			elem.addEventListener(Event.ENTER_FRAME,fadeOut);
			mover.addChild(elem);
			Tweener.addTween(elem, {x:(Math.random()*600)-300,y:(Math.random()*600)-300, time:Math.random()*5, alpha:0, transition:"linear"});
		}
		private function fadeOut(e:Event):void{
			if(e.currentTarget.alpha<=0){
				if(mover.getChildByName(e.currentTarget.name)!=null){
					e.currentTarget.removeEventListener(Event.ENTER_FRAME,fadeOut);
					mover.removeChild(mover.getChildByName(e.currentTarget.name));
				}
			}
		}
	}
}